{"openapi":"3.1.0","info":{"title":"Customer Identity Server - API","description":"Copyright © 2015-2026 IDnow - All Rights Reserved","contact":{"name":"IDnow","url":"https://www.idnow.io/","email":"support@idnow.io"},"version":"2.64.0"},"servers":[{"url":"https://api.idcheck-sandbox.ariadnext.io/gw/cis","description":"Sandbox"},{"url":"https://api.idcheck.ariadnext.io/gw/cis","description":"Production"}],"tags":[{"name":"Task","description":"Asynchronous task management"},{"name":"NotificationEndpoint","description":"Management of the notification endpoints."},{"name":"FileComment","description":"File comments management."},{"name":"Health","description":"Health status of the server."},{"name":"DocumentImage","description":"Management of images of a document."},{"name":"FileAttachment","description":"File attachments management."},{"name":"Document","description":"Document management."},{"name":"Event","description":"Event log management"},{"name":"File","description":"File management"}],"paths":{"/rest/v1/{realm}/file/{uid}":{"get":{"tags":["File"],"summary":"Get a file by its UID.","operationId":"02. Get file","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to retrieve.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"File retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileResponse"}}}}},"security":[{"OAuth2":["secured"]}]},"put":{"tags":["File"],"summary":"Update a file by its UID.","description":"Update an existing file by its UID.\nIt is possible to specify a custom UID. This UID is unique in the database so it may be rejected. If no UID is provided, the old one is kept.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"03. Update file","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to update.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileRequest"}}},"required":true},"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileSummary"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]},"delete":{"tags":["File"],"summary":"Delete a file by its UID.","description":"Delete an existing file by its UID.\nThe file and all its associated resources will be removed.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"04. Delete file","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to delete.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No content (synchronous mode)"},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/comment/{commentUid}":{"put":{"tags":["FileComment"],"summary":"Update the comment of a file by their UIDs.","description":"Update an existing comment of an existing file by their UIDs.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"02. Update comment","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file the comment is linked to.","required":true,"schema":{"type":"string"}},{"name":"commentUid","in":"path","description":"UID of the comment.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileCommentRequest"}}},"required":true},"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileComment"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]},"delete":{"tags":["FileComment"],"summary":"Delete the comment of a file by their UIDs.","description":"Delete an existing comment of an existing file by their UIDs.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"03. Delete comment","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file the comment is linked to.","required":true,"schema":{"type":"string"}},{"name":"commentUid","in":"path","description":"UID of the comment to delete.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No content (synchronous mode)"},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/attachment/{attachmentUid}":{"get":{"tags":["FileAttachment"],"summary":"Retrieve an attachment metadata of a file by their UIDs.","operationId":"02. Get attachment","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file the attachment is linked to.","required":true,"schema":{"type":"string"}},{"name":"attachmentUid","in":"path","description":"UID of the attachment.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Attachment retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentResponse"}}}}},"security":[{"OAuth2":["secured"]}]},"put":{"tags":["FileAttachment"],"summary":"Update an attachment of a file by their UIDs.","description":"Update an existing attachment of an existing file by their UIDs.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"03. Update attachment","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file the attachment is linked to.","required":true,"schema":{"type":"string"}},{"name":"attachmentUid","in":"path","description":"UID of the attachment to update.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentResponse"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]},"delete":{"tags":["FileAttachment"],"summary":"Delete an attachment from a file by their UIDs.","description":"Delete an existing attachment of an existing file by their UIDs.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"04. Delete attachment","parameters":[{"name":"realm","in":"path","description":"Realm name","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"file uid","required":true,"schema":{"type":"string"}},{"name":"attachmentUid","in":"path","description":"Attachment uid","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No content (synchronous mode)"},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}":{"get":{"tags":["Document"],"summary":"Retrieve a document by its UID.","description":"Retrieve the content of a document by its UID.\nThis endpoint will return the document, its metadata (e.g., images, input data) and the last analysis report associated.\n","operationId":"03. Get document","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document to retrieve.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Document retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentResponse"}}}}},"security":[{"OAuth2":["secured"]}]},"put":{"tags":["Document"],"summary":"Update an existing document by its UID.","description":"Update the content of a document based on the provided UID.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"04. Update document","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document to update.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentSummary"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]},"delete":{"tags":["Document"],"summary":"Delete an existing document by its UID.","description":"Delete a document based on the provided UID.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"05. Delete document","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document to delete.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No content (synchronous mode)"},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/realm/{realm}/endpoint/{clientId}":{"get":{"tags":["NotificationEndpoint"],"summary":"Retrieve one endpoint by its user-readable ID.","operationId":"03. Get endpoint","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"clientId","in":"path","description":"User-readable ID of the endpoint to retrieve.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationEndpoint"}}}}},"security":[{"OAuth2":["secured"]}]},"put":{"tags":["NotificationEndpoint"],"summary":"Update an existing endpoint by its user-readable ID.","operationId":"04. Update endpoint","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"clientId","in":"path","description":"User-readable ID of the endpoint to update.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationEndpointRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationEndpoint"}}}}},"security":[{"OAuth2":["secured"]}]},"delete":{"tags":["NotificationEndpoint"],"summary":"Delete an existing endpoint by its user-readable ID.","operationId":"05. Delete endpoint","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"clientId","in":"path","description":"User-readable ID of the endpoint to update.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file":{"post":{"tags":["File"],"summary":"Create a file","description":"Create an empty file.\nIt is possible to specify a custom UID. This UID is unique in the database so it may be rejected. If no UID is provided, a default one is generated.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"01. Create file","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileRequest"}}},"required":true},"responses":{"201":{"description":"Created (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileSummary"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/link/{documentUid}":{"post":{"tags":["File"],"summary":"Link a document to a file by their UIDs.","description":"Link an existing document to an existing file by their UIDs.\nThe document will be included in the file.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"06. Link document","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to link the document to.","required":true,"schema":{"type":"string"}},{"name":"documentUid","in":"path","description":"UID of the document to link.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No content (synchronous mode)"},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]},"delete":{"tags":["File"],"summary":"Unlink a document from a file by their UIDs.","description":"Unlink an existing document from an existing file by their UIDs.\nThe document will be removed from the file. But the document itself will not be removed.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"07. Unlink document","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to unlink the document from.","required":true,"schema":{"type":"string"}},{"name":"documentUid","in":"path","description":"UID of the document to unlink.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No content (synchronous mode)"},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/comment":{"post":{"tags":["FileComment"],"summary":"Add a comment to a file by its UID.","description":"Create a comment and add it to an existing file.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"01. Add comment","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to link the comment to.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileCommentRequest"}}},"required":true},"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileComment"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/clone":{"post":{"tags":["File"],"summary":"Clone a file by its UID.","description":"Clone a file by creating an new entry.\nIt is possible to specify a custom UID for the clone. This UID is unique in the database so it may be rejected. If no UID is provided, a default one is generated.\nThe cloned file will contains all metadata, documents, analysis, reports and so on.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"05. Clone file","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":true,"schema":{"type":"boolean","default":false}},{"name":"newFileUid","in":"query","description":"UID of the new file.","required":false,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to clone.","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Task accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}},"200":{"description":"Cloned file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileSummary"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/check":{"post":{"tags":["File"],"summary":"Start the analysis flow of a file by its UID.","description":"Start the analysis flow of a file. All documents will be analysed and a global report will be generated.\nThis flow will perform multiple analysis per documents depending on the type and the configuration.\nThis is a time consuming operation, it is recommended to work in an asynchronous mode. Synchronous mode is strongly discouraged.\nIf you still want to work in a synchronous mode, only the main analysis will be performed to reduce the operation time. Manual analysis and other extra analysis will be disabled.\n","operationId":"08. Check file","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to check.","required":true,"schema":{"type":"string"}},{"name":"forceDocumentAnalysis","in":"query","description":"If the content of the file did not change since the last analysis, only the report will be generated. Setting this parameter to true will force the start of all the analysis flow.","required":false,"schema":{"type":"boolean","default":false}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}},{"name":"disableManualAnalysis","in":"query","description":"Deprecated - use manualAnalysis = DISABLE instead","required":false,"deprecated":true,"schema":{"type":"boolean","default":false,"deprecated":true}},{"name":"manualAnalysis","in":"query","description":"This parameter overrides the manual analysis trigger mechanism for this analysis flow.","required":false,"schema":{"type":"string","enum":["DISABLE","FORCE"]}}],"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileReport"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/attachment":{"post":{"tags":["FileAttachment"],"summary":"Add an attachment to file.","description":"Add an attachment and link it to an existing file.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"01. Add attachment","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file to link the attachment to.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentRequest"}}},"required":true},"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentResponse"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document":{"post":{"tags":["Document"],"summary":"Create a new document","description":"Create a new document.\nYou can provide the images within this request, or call additional path later to add images.\nThis is a fast operation, we recommend using synchronous mode.\nIf the UID of an existing file is provided, the document will be immediately linked to that file.\n","operationId":"01. Create document","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"fileUid","in":"query","description":"UID of the file you want to link.","required":false,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentRequest"}}},"required":true},"responses":{"201":{"description":"Created (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentSummary"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}/clone":{"post":{"tags":["Document"],"summary":"Clone an existing document by its UID.","description":"Clone a document by creating a new entry.\nIf the document to clone is part of a file, the new cloned document will be linked to that file.\nThe cloned document will contains all metadata (e.g., images, input data) but also the analysis, reports, and so on.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"06. Clone document","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}},{"name":"uid","in":"path","description":"Document unique identifier","required":true,"schema":{"type":"string"}},{"name":"fileUid","in":"query","description":"New file unique identifier","required":false,"schema":{"type":"string"}}],"responses":{"201":{"description":"Task accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}},"200":{"description":"Cloned file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentSummary"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}/check":{"post":{"tags":["Document"],"summary":"Start the analysis flow of a document by its UID.","description":"Start the analysis flow of a document.\nThis flow will perform multiple analysis depending on its type and the configuration.\nThis is a time consuming operation, it is recommended to work in an asynchronous mode. Synchronous mode is strongly discouraged.\nIf you still want to work in a synchronous mode, only the main analysis will be performed to reduce the operation time. Manual analysis and other extra analysis will be disabled.\nAlso note that the 'DATA' type of document is not compatible with the synchronous mode.\n","operationId":"07. Check document","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document to check.","required":true,"schema":{"type":"string"}},{"name":"forceDocumentAnalysis","in":"query","description":"If the content of the document did not change since the last analysis, only the report will be generated. Setting this parameter to true will force the start of all the analysis flow.","required":false,"schema":{"type":"boolean","default":false}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}},{"name":"disableManualAnalysis","in":"query","description":"Deprecated - use manualAnalysis = DISABLE instead","required":false,"deprecated":true,"schema":{"type":"boolean","default":false,"deprecated":true}},{"name":"manualAnalysis","in":"query","description":"This parameter overrides the manual analysis trigger mechanism for this analysis flow.","required":false,"schema":{"type":"string","enum":["DISABLE","FORCE"]}}],"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentReport"}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}/addImages":{"post":{"tags":["DocumentImage"],"summary":"Add images to a document by its UID.","description":"Add at least one image to an existing document by its UID.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"01. Add images","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document to add images to.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Whether to process the request synchronously (true) or asynchronously (false).","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImageRequest"}}}},"required":true},"responses":{"200":{"description":"OK (synchronous mode)","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImageResponse"}}}}},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/check":{"post":{"tags":["Document"],"summary":"Create a document and immediately check.","description":"Create a new document and immediately start the analysis flow.\nImage must be included in the request for the analysis to be possible.\nAs the UID of the document can not be retrieved, this operation is synchronous only.\nThis is a time consuming operation, the use of this endpoint is strongly discouraged.\nIf the UID of an existing file is provided, the document will be immediately linked to that file.\n","operationId":"02. Create document and check","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"fileUid","in":"query","description":"UID of the file you want to link.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/realm/{realm}/endpoint":{"post":{"tags":["NotificationEndpoint"],"summary":"Create an endpoint to receive notifications.","description":"Create a new notification endpoint that will receive notifications of steps reach or terminated during analysis flows.\n","operationId":"01. Create endpoint","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationEndpointRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationEndpoint"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/realm/{realm}/endpoint/{clientId}/event":{"post":{"tags":["NotificationEndpoint"],"summary":"Subscribe to a specific event for an endpoint.","operationId":"06. Add event","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"clientId","in":"path","description":"User-readable ID of the endpoint to update.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationEventRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationEvent"}}}}},"security":[{"OAuth2":["secured"]}]},"delete":{"tags":["NotificationEndpoint"],"summary":"Unlink a specific event type to an endpoint to remove a filter on notifications to receive.","description":"Remove an event type associated to an endpoint to filter out notification.\nEven though the parameters kind, method and operation are not required, only the event matching exactly the three parameters will be removed.\n","operationId":"07. Delete event","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"clientId","in":"path","description":"User-readable ID of the endpoint to update.","required":true,"schema":{"type":"string"}},{"name":"kind","in":"query","description":"Type of the event to remove.","required":false,"schema":{"type":"string","enum":["FILE","DOCUMENT"]}},{"name":"method","in":"query","description":"Method of the event to remove.","required":false,"schema":{"type":"string","enum":["CREATE","UPDATE","DELETE"]}},{"name":"operation","in":"query","description":"Operation of the event to remove.","required":false,"schema":{"$ref":"#/components/schemas/NotificationEventOperation"}}],"responses":{"200":{"description":"OK"}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/task/{taskId}":{"get":{"tags":["Task"],"summary":"Get task content","description":"Retrieve the content of a task. Tasks are linked to an entity, document or file.\n","operationId":"01. Get task","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"taskId","in":"path","description":"UID of the task to retrieve.","required":true,"schema":{"type":"string"}},{"name":"waitTime","in":"query","description":"Number of millisecond you may want to wait if the task is not in a state that allows to retrieve a report. Note that if the task is still not ready after that time, the task object is returned.","required":false,"schema":{"type":"integer","format":"int64","default":0}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/report":{"get":{"tags":["File"],"summary":"Get the PDF version of the last report for the file by its UID.","operationId":"10. Get PDF report","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file.","required":true,"schema":{"type":"string"}},{"name":"doWatermarking","in":"query","description":"Watermarks are applied by default for all users. If it is not the case for your account, you can force watermarking by setting this parameter to true.","required":false,"schema":{"type":"boolean","default":false}},{"name":"pdfaCompliance","in":"query","description":"PDF report will be PDF/A-3 compliant.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"PDF report generated successfully","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/check/{checkUid}":{"get":{"tags":["File"],"summary":"Get the check report of a file by their UIDs.","description":"Retrieve the check report of a file by their UIDs.\n\nNote that this feature is deprecated as only the last report exists now.\n","operationId":"09. Get file report","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the file holding the report.","required":true,"schema":{"type":"string"}},{"name":"checkUid","in":"path","description":"UID of the check report.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"File check report retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileReport"}}}}},"deprecated":true,"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/attachment/{attachmentUid}/thumbnail":{"get":{"tags":["FileAttachment"],"summary":"Download the thumbnail of an attachment by their UIDs.","operationId":"06. Download thumbnail attachment","parameters":[{"name":"realm","in":"path","description":"Realm name","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"file uid","required":true,"schema":{"type":"string"}},{"name":"attachmentUid","in":"path","description":"Attachment uid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Attachment thumbnail downloaded successfully","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/{uid}/attachment/{attachmentUid}/download":{"get":{"tags":["FileAttachment"],"summary":"Download an attachment of a file by their UIDs.","operationId":"05. Download attachment","parameters":[{"name":"realm","in":"path","description":"Realm name","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"file uid","required":true,"schema":{"type":"string"}},{"name":"attachmentUid","in":"path","description":"Attachment uid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Attachment downloaded successfully","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/file/search":{"get":{"tags":["File"],"summary":"Search for files based on multiple criteria's.","description":"Search for files matching given criteria's.\nThis operation can be heavy, and we strongly discourage to use this endpoint outside of a graphic user interface.\n","operationId":"11. Search files","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"query","description":"UID of the file. To check the existence of a file, it is better to use the Get File operation.","required":false,"schema":{"type":"string"}},{"name":"fromCreationDate","in":"query","description":"From creation date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T10:00:00.000Z"},{"name":"toCreationDate","in":"query","description":"To creation date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T15:00:00.000Z"},{"name":"fromLastUpdateDate","in":"query","description":"From last update date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T10:00:00.000Z"},{"name":"toLastUpdateDate","in":"query","description":"To last update date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T15:00:00.000Z"},{"name":"owner","in":"query","description":"Owner of files.","required":false,"schema":{"type":"string"}},{"name":"locations","in":"query","description":"Locations of files.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"lastReportStatuses","in":"query","description":"Statuses of the last report of files.","required":false,"schema":{"type":"array","items":{"type":"string","enum":["NONE","OK","WARN","ERROR","OBSOLETE"]}}},{"name":"lastAnalysisStatuses","in":"query","description":"Statuses of the last analysis of files.","required":false,"schema":{"type":"array","items":{"type":"string","enum":["OK","IN_PROGRESS","MANUAL_IN_PROGRESS","LIVENESS_IN_PROGRESS","EMRTD_IN_PROGRESS","VIDEOSCAN_IN_PROGRESS","EXTRA_ANALYSIS_IN_PROGRESS","ERROR"]}}},{"name":"validities","in":"query","description":"List of validity of files.","required":false,"schema":{"type":"array","items":{"type":"string","enum":["VALID","INVALID","NOT_VALIDATED"]}}},{"name":"states","in":"query","description":"States of files.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"type","in":"query","description":"Type of file.","required":false,"schema":{"type":"string"}},{"name":"tag","in":"query","description":"Tag associated to files.","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"Name of files.","required":false,"schema":{"type":"string"}},{"name":"businessUid","in":"query","description":"Custom business UID of files.","required":false,"schema":{"type":"string"}},{"name":"businessFlow","in":"query","description":"Custom business flow of files.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of files returned (1 to 50).","required":false,"schema":{"type":"integer","format":"int32","default":10,"maximum":50,"minimum":1}},{"name":"offset","in":"query","description":"Offset for pagination.","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"order","in":"query","description":"Sort order field.","required":false,"schema":{"type":"string","default":"creationDate","enum":["creationDate","lastReportStatus","lastUpdateDate"]}},{"name":"direction","in":"query","description":"Sort direction.","required":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]}},{"name":"totalOnly","in":"query","description":"If set to true, returns only the total count of records; no result items are included.","required":false,"schema":{"type":"boolean","default":false}},{"name":"attachment","in":"query","description":"To display folder with or without attachment only; By default all folders are displayed, with and without attachment)","required":false,"schema":{"type":"string","default":"ALL","enum":["WITH","WITHOUT","ALL"]}}],"responses":{"200":{"description":"Files search completed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileSearchResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/events":{"get":{"tags":["Event"],"summary":"Search for events based on multiple criteria's.","description":"Search for events matching given criteria's.\nThis operation can be heavy, and we strongly discourage to use this endpoint outside of a graphic user interface.\n","operationId":"01. Search events","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"query","description":"UID of the entity linked to events: file or document.","required":false,"schema":{"type":"string"}},{"name":"owner","in":"query","description":"Owner of events.","required":false,"schema":{"type":"string"}},{"name":"eventStatus","in":"query","description":"Status of events.","required":false,"schema":{"type":"string","enum":["OK","KO"]}},{"name":"eventTypes","in":"query","description":"Types of events.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventType"}}},{"name":"fromEventDate","in":"query","description":"From event date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T10:00:00.000Z"},{"name":"toEventDate","in":"query","description":"To event date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T15:00:00.000Z"},{"name":"limit","in":"query","description":"Number of events returned (1 to 200).","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":200,"minimum":1}},{"name":"offset","in":"query","description":"Offset for pagination.","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"order","in":"query","description":"Sort order field.","required":false,"schema":{"type":"string","default":"eventDate","enum":["eventDate","eventStatus","eventType"]}},{"name":"direction","in":"query","description":"Sort direction.","required":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]}},{"name":"totalOnly","in":"query","description":"If set to true, returns only the total count of records; no result items are included.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventSearchResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}/thumbnail":{"get":{"tags":["Document"],"summary":"Retrieve the preview of a document by its UID.","description":"Retrieve the preview of a document. This preview is built based on the images present inside that document.\n","operationId":"10. Get document preview","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"Document unique identifier","required":true,"schema":{"type":"string"}},{"name":"part","in":"query","description":"Document part to generate thumbnail for","required":false,"schema":{"type":"string","enum":["RECTO","VERSO","OTHER"]}},{"name":"type","in":"query","description":"Image type","required":false,"schema":{"type":"string"}},{"name":"doWatermarking","in":"query","description":"Watermarks are applied by default for all users. If it is not the case for your account, you can force watermarking by setting this parameter to true.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Document thumbnail retrieved successfully","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}/report":{"get":{"tags":["Document"],"summary":"Get the PDF version of the last report for the document by its UID.","operationId":"09. Get PDF report","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document.","required":true,"schema":{"type":"string"}},{"name":"doWatermarking","in":"query","description":"Watermarks are applied by default for all users. If it is not the case for your account, you can force watermarking by setting this parameter to true.","required":false,"schema":{"type":"boolean","default":false}},{"name":"pdfaCompliance","in":"query","description":"PDF report will be PDF/A-3 compliant.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"PDF report retrieved successfully","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}/image/{imageUid}":{"get":{"tags":["DocumentImage"],"summary":"Download the image of a document by their UIDs.","operationId":"02. Download image","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"imageUid","in":"path","description":"UID of the image.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document.","required":true,"schema":{"type":"string"}},{"name":"doWatermarking","in":"query","description":"Watermarks are applied by default for all users. If it is not the case for your account, you can force watermarking by setting this parameter to true.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Image retrieved successfully","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}},"security":[{"OAuth2":["secured"]}]},"delete":{"tags":["DocumentImage"],"summary":"Delete the image of a document by their UIDs.","description":"Delete an existing image from an existing document by their UIDs.\nThis is a fast operation, we recommend using synchronous mode.\n","operationId":"04. Delete image","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document.","required":true,"schema":{"type":"string"}},{"name":"imageUid","in":"path","description":"UID of the image.","required":true,"schema":{"type":"string"}},{"name":"synchronous","in":"query","description":"Synchronous mode","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No content (synchronous mode)"},"202":{"description":"Accepted (asynchronous mode)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}/image/{imageUid}/thumbnail":{"get":{"tags":["DocumentImage"],"summary":"Get the thumbnail of the image of a document by their UIDs.","operationId":"03. Get image thumbnail","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"imageUid","in":"path","description":"UID of the image.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document.","required":true,"schema":{"type":"string"}},{"name":"doWatermarking","in":"query","description":"Watermarks are applied by default for all users. If it is not the case for your account, you can force watermarking by setting this parameter to true.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Image thumbnail retrieved successfully","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/{uid}/check/{checkUid}":{"get":{"tags":["Document"],"summary":"Get a document check report based on their UIDs.","description":"Retrieve the check report of a document by their UIDs.\nNote that this feature is deprecated as only the last report exists now.\nThe UID of a check report is present in the response of the '03. Get document' operation.\n","operationId":"08. Get document report","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"uid","in":"path","description":"UID of the document holding the report.","required":true,"schema":{"type":"string"}},{"name":"checkUid","in":"path","description":"UID of the check report.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Document check report retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentReport"}}}}},"deprecated":true,"security":[{"OAuth2":["secured"]}]}},"/rest/v1/{realm}/document/search":{"get":{"tags":["Document"],"summary":"Search for documents based on multiple criteria's.","description":"Search for documents matching given criteria's.\nThis operation can be heavy, and we strongly discourage to use this endpoint outside of a graphic user interface.\n","operationId":"11. Search documents","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}},{"name":"fileUid","in":"query","description":"UID of the file linked to documents.","required":false,"schema":{"type":"string"}},{"name":"types","in":"query","description":"Types of documents.","required":false,"schema":{"type":"array","items":{"type":"string","enum":["ID","IBAN","CHEQUE","TAX_SHEET","PAY_SLIP","ADDRESS_PROOF","CREDIT_CARD","PORTRAIT","LEGAL_ENTITY","CAR_REGISTRATION","LIVENESS","DATA"]}}},{"name":"lastReportStatuses","in":"query","description":"Statuses of the last report of documents.","required":false,"schema":{"type":"array","items":{"type":"string","enum":["NONE","OK","WARN","ERROR","OBSOLETE"]}}},{"name":"lastAnalysisStatuses","in":"query","description":"Statuses of the last analysis of documents.","required":false,"schema":{"type":"array","items":{"type":"string","enum":["OK","IN_PROGRESS","MANUAL_IN_PROGRESS","LIVENESS_IN_PROGRESS","EMRTD_IN_PROGRESS","VIDEOSCAN_IN_PROGRESS","EXTRA_ANALYSIS_IN_PROGRESS","ERROR"]}}},{"name":"fromCreationDate","in":"query","description":"From creation date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T10:00:00.000Z"},{"name":"toCreationDate","in":"query","description":"To creation date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T15:00:00.000Z"},{"name":"fromLastUpdateDate","in":"query","description":"From last update date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T10:00:00.000Z"},{"name":"toLastUpdateDate","in":"query","description":"To last update date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T15:00:00.000Z"},{"name":"fromExpirationDate","in":"query","description":"From expiration date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T10:00:00.000Z"},{"name":"toExpirationDate","in":"query","description":"To expiration date (format RFC-339 date or date-time).","required":false,"schema":{"type":"string","format":"date-time"},"example":"2020-01-15 or 2020-01-15T15:00:00.000Z"},{"name":"owner","in":"query","description":"Owner of documents.","required":false,"schema":{"type":"string"}},{"name":"locations","in":"query","description":"Locations of documents.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"evidenceKey","in":"query","description":"Evidence key of documents.","required":false,"schema":{"type":"string"}},{"name":"businessUid","in":"query","description":"Custom business UID of documents.","required":false,"schema":{"type":"string"}},{"name":"businessFlow","in":"query","description":"Custom business flow of documents.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of documents returned (1 to 50).","required":false,"schema":{"type":"integer","format":"int32","default":10,"maximum":50,"minimum":1}},{"name":"offset","in":"query","description":"Offset for pagination.","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"order","in":"query","description":"Sort order field.","required":false,"schema":{"type":"string","default":"creationDate","enum":["lastReportStatus","creationDate","lastUpdateDate","expirationDate"]}},{"name":"direction","in":"query","description":"Sort direction.","required":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]}},{"name":"totalOnly","in":"query","description":"If set to true, returns only the total count of records; no result items are included.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Documents found successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentSearchResponse"}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/v1/realm/{realm}/endpoints":{"get":{"tags":["NotificationEndpoint"],"summary":"Retrieve all your endpoints.","operationId":"02. Get endpoints","parameters":[{"name":"realm","in":"path","description":"Your realm user-readable name.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationEndpoint"}}}}}},"security":[{"OAuth2":["secured"]}]}},"/rest/health":{"get":{"tags":["Health"],"summary":"Get the health status of the service.","operationId":"01. Get health","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HealthResponse"}}}}}}}},"components":{"schemas":{"FileInputData":{"type":"object","description":"Representation of all data that will be used as reference to perform cross checks and improve the quality of checks. Do not set file input data if you already added input data on the document level.","properties":{"clientData":{"$ref":"#/components/schemas/InputClientData","description":"Client input data"},"persons":{"type":"array","description":"List of person's input data","items":{"$ref":"#/components/schemas/InputPerson"}}}},"FileRequest":{"type":"object","description":"Allows to create or update a file.","properties":{"technicalData":{"type":"array","description":"Technical data","items":{"$ref":"#/components/schemas/MapItem"}},"uid":{"type":"string","description":"UID of the file. If no UID is provided, one will be generated.","example":"3a626a76-e536-46d2-8887-64ccb364df39","maxLength":45,"minLength":0},"location":{"type":"string","default":"default","description":"Assigns a location to the file; only users with access to that location can view it.","example":"paris","maxLength":512,"minLength":0},"inputData":{"$ref":"#/components/schemas/FileInputData","description":"Representation of all data that you expect to be extracted from the corresponding file. Do not set file input data if you already added input data on the document level."},"tags":{"type":"array","description":"List of tags to be stored alongside the file.","items":{"type":"string"}},"enableNotifications":{"type":"boolean","description":"Notifications can be disabled globally for your realm. If this is the case, you can enable them for this specific file analysis. Do not fill this field if notifications are already activated globally.","example":true},"endpointsToNotify":{"type":"array","description":"When set, only these endpoints 'clientId' are notified; otherwise, all. This parameter must not be used to provide one notification endpoint per analysis flow.","example":["callback-for-available-report","callback-for-manual-process-started"],"items":{"type":"string"}},"businessUid":{"type":"string","description":"Custom UID you want to be linked to that file.","maxLength":45,"minLength":0},"businessFlow":{"type":"string","description":"Custom business flow you want to be linked to that file.","maxLength":45,"minLength":0}}},"InputAddressData":{"type":"object","description":"Definition of the address fields that will be used as reference to perform cross checks and improve the quality of checks.","properties":{"lines":{"type":"array","description":"Lines of the address.","example":["221B Baker Street"],"items":{"type":"string"}},"zipCode":{"type":"string","description":"Zip code of the address.","example":"NW1 6XE"},"city":{"type":"string","description":"City of the address.","example":"London"},"extra":{"type":"array","description":"Free-form metadata (key/value) stored with the record. Not used during analysis or reporting. Keys must be unique.","example":[{"key":"area","value":"Marylebone"}],"items":{"$ref":"#/components/schemas/MapItem"}}}},"InputClientData":{"type":"object","description":"Extra fields you want to store alongside the document. Those fields will not be used during analysis or report generation.","properties":{"extra":{"type":"array","description":"Free-form metadata (key/value) stored with the document. Keys must be unique.","example":[{"key":"internal-reference","value":"0123456789"}],"items":{"$ref":"#/components/schemas/MapItem"}}}},"InputFinanceData":{"type":"object","description":"Definition of the financial information fields that will be used as reference to perform cross checks and improve the quality of checks.","properties":{"iban":{"type":"string","description":"International Bank Account Number","example":"FR7612345678900001122334412"},"bic":{"type":"string","description":"Bank's SWIFT code","example":"FRFXFRPP"},"ibanCountry":{"type":"string","format":"ISO 3166-1 alpha-3","description":"Country","example":"GBR"},"accountKey":{"type":"string","description":"Local check key (e.g., France’s RIB key)","example":12},"accountNumber":{"type":"string","description":"National account number","example":"00011223344"},"accountOwner":{"type":"string","description":"Account holder’s full name","example":"Sherlock Holmes"},"accountOwnerAddress":{"type":"string","description":"Account holder’s address","example":"221B Baker Street, London NW1 6XE, United Kingdom"},"branchCode":{"type":"string","description":"Branch/agency code (if the country uses one; e.g.)","example":67890},"bankName":{"type":"string","description":"Bank or branch name","example":"Agence Opéra"},"bankAddressLines":{"type":"string","deprecated":true,"description":"Bank address lines (deprecated since CIS 2.31.95. Use bankAddress instead)"},"bankAddress":{"type":"string","description":"Address of the bank or branch","example":12},"bankCode":{"type":"string","description":"National bank identifier (if applicable; e.g., France’s bank code)","example":12345},"extra":{"type":"array","description":"Free-form metadata (key/value) stored with the record. Not used during analysis or reporting. Keys must be unique.","example":[{"key":"currency","value":"EUR"}],"items":{"$ref":"#/components/schemas/MapItem"}}}},"InputIdentityData":{"type":"object","description":"Definition of the person identity fields that will be used as reference to perform cross checks and improve the quality of checks.","properties":{"fullName":{"type":"string","description":"Full name of the person. Can contain firstnames, lastname and usage name.","example":"Sherlock Holmes"},"firstNames":{"type":"array","description":"First names of the person.","example":["Sherlock"],"items":{"type":"string"}},"lastName":{"type":"string","description":"Last name of the person.","example":"Holmes"},"usageName":{"type":"string","description":"Usage name of the person.","example":"Holmes"},"birthDepartment":{"type":"string","description":"Birth department of the person.","example":"UK-LND"},"birthPlace":{"type":"string","description":"Birth place of the person.","example":"London"},"birthDay":{"type":"string","description":"Day of birth of the person. Format: 2 digits.","example":"06"},"birthMonth":{"type":"string","description":"Month of birth of the person. Format: 2 digits.","example":"01"},"birthYear":{"type":"string","description":"Year of birth of the person. Format: 4 digits.","example":1854},"gender":{"type":"string","description":"Gender of the person.","example":"M"},"nationality":{"type":"string","format":"ISO 3166-1 alpha-3","description":"Nationality of the person.","example":"GBR"},"ssn":{"type":"string","description":"Social security number of the person. Last 5 digits are obfuscated.","example":"TEST-SSN-0000"},"personalNumber":{"type":"string","description":"Personal number of the person.","example":"HOLM1854"},"extra":{"type":"array","description":"Free-form metadata (key/value) stored with the record. Not used during analysis or reporting. Keys must be unique.","example":[{"key":"height","value":"1,75"}],"items":{"$ref":"#/components/schemas/MapItem"}}}},"InputJobData":{"type":"object","description":"Definition of the fields related to the occupation of the person that will be used as reference to perform cross checks and improve the quality of checks.","properties":{"siret":{"type":"string","description":"Siret/Siren of the employer.","example":12345678900011},"employer":{"type":"string","description":"Name of the employer","example":"Scotland Yard"},"income":{"type":"string","description":"Income of the person.","example":3500.0},"extra":{"type":"array","description":"Free-form metadata (key/value) stored with the record. Not used during analysis or reporting. Keys must be unique.","example":[{"key":"currency","value":"GBP"}],"items":{"$ref":"#/components/schemas/MapItem"}}}},"InputLegalEntityData":{"type":"object","description":"Definition of legal entity fields that will be used as reference to perform cross checks and improve the quality of checks.","properties":{"uid":{"type":"string","description":"Siret/Siren of the legal entity.","example":12345678900011},"companyName":{"type":"string","description":"Name of the legal entity as seen on the document.","example":"IDnow"}}},"InputPerson":{"type":"object","description":"Definition of the person information that will be used as reference to perform cross checks and improve the quality of checks.","properties":{"role":{"type":"string","description":"Logical role of the person associated with the document (e.g., 'subscriber'). Used to link input data to a specific document (role field is also present on document). If multiple documents and multiple person's input data exist, role disambiguate which person's input data should be checked against which document.\n","example":"holder"},"identityData":{"$ref":"#/components/schemas/InputIdentityData","description":"Identity input data"},"addressData":{"$ref":"#/components/schemas/InputAddressData","description":"Address input data"},"financeData":{"$ref":"#/components/schemas/InputFinanceData","description":"Finance input data"},"jobData":{"$ref":"#/components/schemas/InputJobData","description":"Job input data"},"legalEntityData":{"$ref":"#/components/schemas/InputLegalEntityData","description":"Legal entity input data"}}},"MapItem":{"type":"object","description":"Representation of a Map entry with key and value.","properties":{"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]},"FileSummary":{"type":"object","description":"Light representation of a file.","properties":{"uid":{"type":"string","description":"UID of the file.","example":"3a626a76-e536-46d2-8887-64ccb364df39"},"owner":{"type":"string","description":"Owner of the file. This field is filled with the username present in the access token used to send requests."},"creationDate":{"type":"string","format":"date-time","description":"Date of creation of the file.","example":"2025-10-21T10:52:27+0200"},"lastUpdateDate":{"type":"string","format":"date-time","description":"Date of last update of the file.","example":"2025-10-21T10:52:27+0200"},"lastReportStatus":{"type":"string","description":"Status of the last report of the file.","enum":["NONE","OK","WARN","ERROR","OBSOLETE"],"example":"OK"},"lastAnalysisStatus":{"type":"string","description":"Status of the last analysis of the file. The is the technical status of the analysis.","enum":["OK","IN_PROGRESS","MANUAL_IN_PROGRESS","LIVENESS_IN_PROGRESS","EMRTD_IN_PROGRESS","VIDEOSCAN_IN_PROGRESS","EXTRA_ANALYSIS_IN_PROGRESS","ERROR"],"example":"OK"},"validity":{"type":"string","description":"Validity of the file.","enum":["VALID","INVALID","NOT_VALIDATED"],"example":"VALID"},"state":{"type":"string","description":"State from the lifecycle of the file.","example":"in_progress"},"enableNotifications":{"type":"boolean","description":"Specifies if notifications were specifically enabled for this file, while notifications were disabled globally for the realm.","example":true}}},"TaskResponse":{"type":"object","description":"Representation of a task.","properties":{"uid":{"type":"string","description":"UID of the task.","example":"dac1f57b-43f2-41a0-8f70-881d1824c096"},"handledUid":{"type":"string","description":"Identifier for the related file or document.","example":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"},"status":{"type":"string","description":"Status of the task.","enum":["SUBMITTED","STARTED","MANUAL_ANALYSIS_STARTED","LIVENESS_STARTED","EMRTD_STARTED","VIDEOSCAN_STARTED","EXTRA_ANALYSIS_STARTED","ENDED","FAILED"],"example":"SUBMITTED"},"startDate":{"type":"string","format":"date-time","description":"Date of creation of the task.","example":"2025-10-21T10:52:27+0200"},"endDate":{"type":"string","format":"date-time","description":"Task completion date.","example":"2025-10-21T10:52:27+0200"},"message":{"type":"string","description":"Internal message explaining the failure of the task."},"issuerUid":{"type":"string","description":"Creator of the task. This field is filled from information extracted from the access token used."},"issuerType":{"type":"string","description":"Internal type of the task creator."}},"required":["status","uid"]},"FileCommentRequest":{"type":"object","description":"Allows to create and add a comment on a file.","properties":{"type":{"type":"string","description":"Type of the comment.","example":"supervisor","maxLength":100,"minLength":0},"comment":{"type":"string","description":"Text content of the comment.","example":"Manually reviewed to OK by supervisor."}},"required":["comment"]},"FileComment":{"type":"object","description":"Representation of a comment associated to a file.","properties":{"uid":{"type":"string","description":"UID of the comment.","example":"89666c1b-645a-479c-bdb6-eaf90fd6d728"},"commentDate":{"type":"string","format":"date-time","description":"Date of creation of the comment.","example":"2025-10-21T10:52:27+0200"},"type":{"type":"string","description":"Type of the comment."},"comment":{"type":"string","description":"Text content of the comment.","example":"Manually reviewed to OK by supervisor."},"issuer":{"type":"string","description":"Issuer","example":"sherlock.holmes@my-company.com"}},"required":["type"]},"AttachmentUpdateRequest":{"type":"object","description":"Allows to update an attachment.","properties":{"technicalData":{"type":"array","description":"Technical data","items":{"$ref":"#/components/schemas/MapItem"}},"title":{"type":"string","description":"Name of the attachment.","example":"Terms of Conditions V1"},"description":{"type":"string","description":"Description of the attachment.","example":"Contractual terms of conditions"},"type":{"type":"string","description":"Type of the attachment.","maxLength":45,"minLength":0}}},"AttachmentResponse":{"type":"object","description":"Representation of an attachment.","properties":{"technicalData":{"type":"array","description":"Technical data","items":{"$ref":"#/components/schemas/MapItem"}},"uid":{"type":"string","description":"UID of the attachment.","example":"01fda996-fc45-4017-bf4c-7cb528cc8259"},"title":{"type":"string","description":"Name of the attachment.","example":"Terms of Conditions V1"},"description":{"type":"string","description":"Description of the attachment.","example":"Contractual terms of conditions"},"type":{"type":"string","description":"Type of the attachment."},"fileUid":{"type":"string","description":"UID of the file the attachment is attached to.","example":"3a626a76-e536-46d2-8887-64ccb364df39"},"date":{"type":"string","format":"date-time","description":"Date of creation of the attachment.","example":"2025-10-21T10:52:27+0200"},"fileName":{"type":"string","description":"File name of the attachment.","example":"terms_of_conditions_v1.pdf"}},"required":["date","fileName","fileUid","uid"]},"DocumentSummary":{"type":"object","description":"Light representation of a document.","properties":{"uid":{"type":"string","description":"UID of the document.","example":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"},"owner":{"type":"string","description":"Owner of the document. This field is filled with the username present in the access token used to send requests."},"type":{"type":"string","description":"Type of the document.","enum":["ID","IBAN","CHEQUE","TAX_SHEET","PAY_SLIP","ADDRESS_PROOF","CREDIT_CARD","PORTRAIT","LEGAL_ENTITY","CAR_REGISTRATION","LIVENESS","DATA"],"example":"ID"},"fileUid":{"type":"string","description":"UID of the file the document is part of.","example":"3a626a76-e536-46d2-8887-64ccb364df39"},"evidenceKey":{"type":"string","description":"Evidence key that was provided during the creation of the document.","example":"integrator-id-1234"},"lastReportStatus":{"type":"string","description":"Last report status for this document.","enum":["NONE","OK","WARN","ERROR","OBSOLETE"],"example":"OK"},"lastAnalysisStatus":{"type":"string","description":"Status of the last analysis of the document. This is the technical status of the analysis.","enum":["OK","IN_PROGRESS","MANUAL_IN_PROGRESS","LIVENESS_IN_PROGRESS","EMRTD_IN_PROGRESS","VIDEOSCAN_IN_PROGRESS","EXTRA_ANALYSIS_IN_PROGRESS","ERROR"],"example":"OK"},"creationDate":{"type":"string","format":"date-time","description":"Date of creation of the document.","example":"2025-10-21T10:52:27+0200"},"lastUpdateDate":{"type":"string","format":"date-time","description":"Date of last update of the document.","example":"2025-10-21T10:52:27+0200"},"enableNotifications":{"type":"boolean","description":"Specifies if notifications were specifically enabled for this document, while notifications were disabled globally for the realm.","example":true}},"required":["type","uid"]},"DocumentInputData":{"type":"object","description":"Representation of all data that will be used as reference to perform cross checks and improve the quality of checks. Do not set document input data if you already added input data on the file level.","properties":{"clientData":{"$ref":"#/components/schemas/InputClientData","description":"Client input data"},"infoData":{"$ref":"#/components/schemas/InputInfoData","description":"Document input data"},"persons":{"type":"array","description":"List of person's input data","items":{"$ref":"#/components/schemas/InputPerson"}}}},"DocumentUpdateRequest":{"type":"object","description":"Allows to update a document.","properties":{"technicalData":{"type":"array","description":"Technical data","items":{"$ref":"#/components/schemas/MapItem"}},"location":{"type":"string","default":"default","description":"Assigns a location to the document; only users with access to that location can view it.","example":"paris","maxLength":512,"minLength":0},"inputData":{"$ref":"#/components/schemas/DocumentInputData","description":"Representation of all data that you expect to be extracted from the corresponding document. Do not set document input data if you already added input data on the file level."},"enableNotifications":{"type":"boolean","description":"Notifications can be disabled globally for your realm. If this is the case, you can enable them for this specific document analysis. Do not fill this field if notifications are already activated globally.","example":true},"evidenceKey":{"type":"string","description":"Specific string that is verified on file level. This key allows to ensure the unicity of a document inside a file. A document with a given evidence key can not be added to a file that already contains a document with said evidence key.","example":"integrator-id-1234","maxLength":100,"minLength":0},"country":{"type":"string","format":"ISO 3166-1 alpha-3","description":"Country","example":"GBR"},"endpointsToNotify":{"type":"array","description":"When set, only these endpoints 'clientId' are notified; otherwise, all. This feature must not be used to provide one notification endpoint per analysis flow.","example":["callback-for-available-report","callback-for-manual-process-started"],"items":{"type":"string"}}}},"InputInfoData":{"type":"object","description":"Definition of the document information fields that will be used as reference to perform cross checks and improve the quality of checks.","properties":{"documentNumber":{"type":"string","description":"Unique document number.","example":123456789},"personalNumber":{"type":"string","description":"Unique personal number.","example":"HOLM1854"},"documentType":{"type":"string","description":"Type of the document.","example":"Passport"},"readExpirationDay":{"type":"string","description":"Day of expiration of the document based on extracted value. Format: 2 digits.","example":31},"readExpirationMonth":{"type":"string","description":"Month of expiration of the document based on extracted value. Format: 2 digits.","example":12},"readExpirationYear":{"type":"string","description":"Year of expiration of the document based on extracted value. Format: 4 digits.","example":2030},"expirationDay":{"type":"string","description":"Day of expiration of the document. Based on legal rules, for some documents this field can be different from the actually extracted value. Format: 2 digits.","example":31},"expirationMonth":{"type":"string","description":"Month of expiration of the document. Based on legal rules, for some documents this field can be different from the actually extracted value. Format: 2 digits.","example":12},"expirationYear":{"type":"string","description":"Day of expiration of the document. Based on legal rules, for some documents this field can be different from the actually extracted value. Format: 4 digits.","example":2030},"referenceDocument":{"type":"string","description":"UID of the document that is supposed to bear the information defined in this object.","example":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"},"extra":{"type":"array","description":"Free-form metadata (key/value) stored with the record. Not used during analysis or reporting. Keys must be unique.","example":[{"key":"country","value":"GBR"}],"items":{"$ref":"#/components/schemas/MapItem"}}}},"NotificationEndpointRequest":{"type":"object","description":"Allows to create and update notification endpoints.","properties":{"clientId":{"type":"string","description":"The identifier of the endpoint.","example":"callback-for-available-report","maxLength":100,"minLength":0,"pattern":"[0-9a-zA-Z\\-_]+"},"securityHeaderField":{"$ref":"#/components/schemas/SecurityHeaderField","description":"Header that will be added to the request to the endpoint. Used to add security context."},"secret":{"type":"string","deprecated":true,"description":"Secret (deprecated: use securityHeaderField instead).","example":"hjS456jkCo:!","maxLength":100,"minLength":0},"url":{"type":"string","description":"Full url of the endpoint. Must not contains identifier as the notification will embed such data.","example":"https://production.my-company.io/","maxLength":255,"minLength":0},"active":{"type":"boolean","description":"Specifies if the endpoint should be called or not.","example":true},"supportEmail":{"type":"string","description":"This email address will be used to send alerting email in case the specified endpoint url is not reachable or return non 200 responses.","example":"callback.support@my-company.io"},"addBusinessUid":{"type":"boolean","description":"Option to add the businessUid in the notification."}},"required":["clientId","url"]},"SecurityHeaderField":{"type":"object","description":"Field used to add security context to the notification requests.","properties":{"name":{"type":"string","description":"Name of the header.","example":"Authorization","maxLength":40,"minLength":0},"value":{"type":"string","description":"Value of the header.","example":"Basic bXktdXNlcm5hbWU6bXktcGFzc3dvcmQ=","maxLength":255,"minLength":0}},"required":["name","value"]},"NotificationEndpoint":{"type":"object","description":"Representation of an endpoint.","properties":{"clientId":{"type":"string","description":"Identifier of the endpoint.","example":"callback-for-available-report","maxLength":255,"minLength":1},"securityHeaderField":{"$ref":"#/components/schemas/SecurityHeaderField","description":"Header that will be added to the request to the endpoint. Used to add security context."},"secret":{"type":"string","deprecated":true,"description":"Secret.","example":"hjS456jkCo:!","maxLength":100,"minLength":0},"url":{"type":"string","description":"Full url of the endpoint. Must not contains identifier as the notification will embed such data.","example":"https://production.my-company.io/","maxLength":255,"minLength":1},"active":{"type":"boolean","description":"Specifies if the endpoint should be called or not.","example":true},"supportEmail":{"type":"string","description":"This email address will be used to send alerting email in case the specified endpoint url is not reachable or return non 200 responses.","example":"callback.support@my-company.io"},"addBusinessUid":{"type":"string","description":"Option to add the businessUid in the notification."},"events":{"type":"array","description":"List of events types this endpoint is subscribed to.","items":{"$ref":"#/components/schemas/NotificationEvent"}}},"required":["clientId","url"]},"NotificationEvent":{"type":"object","description":"Type of event a notification endpoint subscribes to.","properties":{"eventKind":{"type":"string","description":"Type of entity the event is related to: file or document.","enum":["FILE","DOCUMENT"],"example":"DOCUMENT"},"method":{"type":"string","description":"Method related to this event.","enum":["CREATE","UPDATE","DELETE"],"example":"UPDATE"},"operation":{"$ref":"#/components/schemas/NotificationEventOperation","description":"Operation that triggered the event.","example":"CHECK_DOCUMENT"}},"required":["eventKind"]},"NotificationEventOperation":{"type":"string","enum":["DEFAULT","CLONE","STATE","VALIDITY","CHECK","CHECK_DOCUMENT","START_MANUAL_ANALYSIS","START_MANUAL_ANALYSIS_DOCUMENT","START_CORRELATION_SEARCH","START_CORRELATION_SEARCH_DOCUMENT","START_STOLEN_LOST_DOCUMENTS_VERIFICATION","START_STOLEN_LOST_DOCUMENTS_VERIFICATION_DOCUMENT","START_IBAN_OWNERSHIP_VERIFICATION","START_IBAN_OWNERSHIP_VERIFICATION_DOCUMENT","ADD_DOCUMENT","REMOVE_DOCUMENT","ADD_IMAGE","REMOVE_IMAGE","ADD_COMMENT","UPDATE_COMMENT","REMOVE_COMMENT","ADD_ATTACHMENT","UPDATE_ATTACHMENT","REMOVE_ATTACHMENT","START_CPF_VERIFICATION","START_SIGNING"]},"Check":{"type":"object","description":"Specific rule or group of rules that were verified.","properties":{"identifier":{"type":"string","description":"The identifier of the check.","example":"ID_ANALYSIS"},"title":{"type":"string","description":"The given title of the check.","example":"ID analysis"},"message":{"type":"string","description":"Details of the check result.","example":"The ID is OK"},"type":{"type":"string","description":"Type of the check.","enum":["DOCUMENT_VALIDITY","DOCUMENT_ACCEPTABILITY","DATA_ACCEPTABILITY","DATA_CONSISTENCY","FILE_COMPLETENESS","OTHER","UNKNOWN"],"example":"UNKNOWN"},"status":{"type":"string","description":"Status of the check.","enum":["NONE","OK","WARN","ERROR","OBSOLETE"],"example":"OK"},"documentUid":{"type":"string","description":"UID of the document corresponding to this check.","example":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"},"fileUid":{"type":"string","description":"UID of the file corresponding to this check.","example":"3a626a76-e536-46d2-8887-64ccb364df39"},"dataReferences":{"type":"array","description":"If applicable, data used as references to build the check. Used for example for matching checks.","items":{"$ref":"#/components/schemas/DataReference"}},"subChecks":{"description":"Sub checks.","example":[{"identifier":"DOC_SPECIMEN","title":"Specimen","message":"This document is not a specimen","type":"DOCUMENT_ACCEPTABILITY","status":"OK","documentUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c","fileUid":"3a626a76-e536-46d2-8887-64ccb364df39"}]},"errorCause":{"$ref":"#/components/schemas/ErrorCause","description":"Cause of the failure of a check."}},"required":["identifier","message","status","title","type"]},"CheckErrorCause":{"type":"string","enum":["DEVICE_ISSUE","DOCUMENT_ISSUE","NETWORK_ISSUE","TECHNICAL_ISSUE","USER_ISSUE","USER_CANCEL","MODEL_NFC_PROTOCOL_DEVICE_LIMITATION","BIOMETRIC_CONSENT","BAD_REFERENCE","MISSING_DATA","NO_FACE","TOO_MANY_FACES","FACE_MASK","FACE_TECHNICAL_ISSUE","OTHER_QA","CUT_CORNER","BLACKLISTED_CAMERA","INJECTION_ATTACK","CHALLENGES_NOT_PERFORMED","BARCODE_NOT_FOUND","ISSUER_TYPE_MATCH","BARCODE_TEST","SUPPORT_LEVEL_BASIC","SUPPORT_LEVEL_STANDARD","VISIBLE_FIELDS_READING_FAILED","MODEL_FIELDS_MISSING","FIELDS_EXTRACTION_FAILED","BLACKLIST_MATCH","WHITELIST_NOT_MATCH","PICTURE_COLOR_GREY_OR_BW","CORRELATION_WITH_DIFFERENT_IDENTITY","MRZ_ALTERATION_DETECTED","MISSING_IDENTITY_DATA","PAID_ONLY","NOT_AVAILABLE","INTERNAL_VERIFICATION","EXTERNAL_VERIFICATION","FORBIDDEN_WORDS_FOUND","MULTIPLE_DOCUMENTS_DETECTED","AGE_INFERIOR","AGE_SUPERIOR","BAD_CONFIGURATION","SUSPENDED","DECEASED_HOLDER","REGULARIZATION_PENDING","CANCELED_MULTIPLICITY","FRAUD_DETECTED","CANCELED_CRAFT","MINOR","NUMBER_NOT_FOUND","INVALID_NUMBER","SERVICE_ERROR","SERVICE_TIMEOUT","OWNER_NAME_NOT_MATCH","OWNER_BIRTHDATE_NOT_MATCH","NONEXISTENT_OR_CLOSED_ACCOUNT","INCORRECT_HOLDER_TYPE","OWNER_NAME_AND_BIRTHDATE_NOT_MATCH","BANK_DETAILS_NOT_ELIGIBLE","BOTH_BIC_MISSING","OCR_BIC_MISSING","REFERENCE_DATABASE_BIC_MISSING","ADDITIONAL_IDENTITIES_NOT_MATCH_BARCODE","SIGNAL_BLOCKED"]},"CustomerIdentity":{"type":"object","description":"Representation of the aggregated identity of a person based on all documents provided.","properties":{"uid":{"type":"string","description":"UID of the identity.","example":"032eedbb-2ff5-4d8d-b267-9f63460d1e90"},"role":{"$ref":"#/components/schemas/ReportDataItem","description":"Logical role that was used to build the identity based on documents having this role.\n","example":"holder"},"creationDate":{"type":"string","format":"date-time","description":"Date of creation of the identity.","example":"2025-10-21T10:52:27+0200"},"documentUids":{"type":"array","description":"List of UID of documents used to build the identity.","example":["f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"],"items":{"type":"string"}},"identityData":{"$ref":"#/components/schemas/ReportIdentityData","description":"Identity report data."},"addressData":{"$ref":"#/components/schemas/ReportAddressData","description":"Address report data."},"financeData":{"$ref":"#/components/schemas/ReportFinanceData","description":"Finance report data."},"jobData":{"$ref":"#/components/schemas/ReportJobData","description":"Job report data."},"legalEntityData":{"$ref":"#/components/schemas/ReportLegalEntityData","description":"Legal entity report data."},"vehicleData":{"$ref":"#/components/schemas/ReportVehicleData","description":"Vehicle report data."},"chequeData":{"$ref":"#/components/schemas/ReportChequeData","description":"Cheque report data."}},"required":["creationDate","documentUids","uid"]},"DataBySourcesItem":{"type":"object","properties":{"alphabet":{"type":"string"},"valuesBySources":{"type":"object","additionalProperties":{"type":"string"}}}},"DataBySourcesItemList":{"type":"object","properties":{"alphabet":{"type":"string"},"valuesBySources":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"DataReference":{"type":"object","description":"Data used as reference to perform matching checks.","properties":{"expectedValue":{"type":"string","description":"Expected value","example":"GBR"},"expectedReference":{"type":"string","description":"Expected reference","example":"GBR"},"givenValue":{"type":"string","description":"Given value","example":"GBR"},"givenReference":{"type":"string","description":"Given reference","example":"GBR"}}},"DateItem":{"type":"object","properties":{"day":{"type":"integer","format":"int32","description":"Day of the date."},"month":{"type":"integer","format":"int32","description":"Month of the date."},"year":{"type":"integer","format":"int32","description":"Year of the date."}}},"DocumentCustomer":{"type":"object","description":"A customer identity can be based on multiple documents. This references the opposite: the customer identities that were built based on the referenced document.","properties":{"documentUid":{"type":"string","description":"UID of the referenced document.","example":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"},"customers":{"type":"array","description":"List of UID of customer identity that match the referenced document.","example":["032eedbb-2ff5-4d8d-b267-9f63460d1e90"],"items":{"type":"string"}}},"required":["customers","documentUid"]},"ErrorCause":{"type":"object","properties":{"identifier":{"$ref":"#/components/schemas/CheckErrorCause","deprecated":true,"description":"Identifier","example":"DEVICE_ISSUE"},"key":{"$ref":"#/components/schemas/CheckErrorCause","description":"key","example":"DEVICE_ISSUE"},"parameters":{"type":"array","description":"parameters","items":{"type":"string"}},"message":{"type":"string","description":"Localized message","example":"An error occured with the user device"}},"required":["key","message"]},"FileReport":{"type":"object","description":"Report of a file containing extracted data, check tree and images.","properties":{"uid":{"type":"string","description":"UID of the report.","example":"30d863e1-55a1-4423-92d1-e72b643b7f93"},"generationDate":{"type":"string","format":"date-time","description":"Date of generation of the report.","example":"2025-10-21T10:52:27+0200"},"globalStatus":{"type":"string","description":"Aggregated global status of the report.","enum":["NONE","OK","WARN","ERROR","OBSOLETE"],"example":"OK"},"checks":{"type":"array","description":"List of checks and their sub-checks of the report.","items":{"$ref":"#/components/schemas/Check"}},"documents":{"type":"array","description":"List of documents and the linked identities built from each of those documents.","items":{"$ref":"#/components/schemas/DocumentCustomer"}},"clientData":{"$ref":"#/components/schemas/ReportClientData","description":"Extra fields given as input data during the creation request."},"referenceValues":{"$ref":"#/components/schemas/ReportReferenceValues","description":"All data used as reference to perform matching checks."},"customerIdentities":{"type":"array","description":"List of all identities that were built from the extracted data of all documents.","items":{"$ref":"#/components/schemas/CustomerIdentity"}}},"required":["checks","clientData","documents","generationDate","globalStatus","uid"]},"ReportAddressData":{"type":"object","description":"Definition of the address extracted from the documents.","properties":{"laneNumber":{"$ref":"#/components/schemas/ReportDataItem","description":"Lane number of the address.","example":{"label":"Number","value":"221B","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"lane":{"$ref":"#/components/schemas/ReportDataItem","description":"Lane name of the address.","example":{"label":"Lane","value":"Baker Street","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"zipCode":{"$ref":"#/components/schemas/ReportDataItem","description":"Zip code of the address.","example":{"label":"Zip code","value":"NW1 6XE","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"city":{"$ref":"#/components/schemas/ReportDataItem","description":"City of the address.","example":{"label":"City","value":"London","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"country":{"$ref":"#/components/schemas/ReportDataItem","description":"Country of the address.","example":{"label":"Country","value":"GBR","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"fullAddress":{"$ref":"#/components/schemas/ReportDataListItem","description":"Full address lines as read on document.","example":{"label":"Full address","values":["221B Baker Street","London NW16XE","United Kingdom"],"origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"extra":{"type":"array","description":"Additional extracted information that are not named fields.","example":[{"key":"area","label":"area","value":"Marylebone","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}],"items":{"$ref":"#/components/schemas/ReportDataMapItem"}}}},"ReportAdministratorData":{"type":"object","description":"Directors of the legal entity extracted from the documents.","properties":{"title":{"type":"string","description":"Title of the director.","example":"Chief Inspector"},"name":{"type":"string","description":"Name of the director.","example":"Sherlock Holmes"},"birthDate":{"$ref":"#/components/schemas/ReportDateItem","description":"Date of birth of the director.","example":{"label":"Birth date","value":"1854-01-06","day":6,"month":1,"year":1854,"origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}}}},"ReportChequeData":{"type":"object","description":"Definition of the cheque extracted from the documents.","properties":{"cmc7":{"$ref":"#/components/schemas/ReportDataItem","description":"CMC7 magnetic ink line as interpreted (France and some EU countries). Contains encoded bank, branch, account, and cheque number.","example":{"label":"CMC7","value":"C123456789D0123456789E0123456","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"cmc7Raw":{"$ref":"#/components/schemas/ReportDataItem","description":"Raw CMC7 string as read from the document.","example":{"label":"CMC7 raw","value":"C123456789D0123456789E0123456","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"chequeNumber":{"$ref":"#/components/schemas/ReportDataItem","description":"Sequential number printed on the cheque.","example":{"label":"Cheque number","value":"000123","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"zib":{"$ref":"#/components/schemas/ReportDataItem","description":"Bank code extracted from the CMC7. Identifies the issuing bank in the national scheme.","example":{"label":"ZIB","value":"30002","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"zin":{"$ref":"#/components/schemas/ReportDataItem","description":"Branch code extracted from the CMC7. Identifies the specific branch that issued the cheque.","example":{"label":"ZIN","value":"00570","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"rlmc":{"$ref":"#/components/schemas/ReportDataItem","description":"Account identifier segment extracted from the CMC7. Links the cheque to the underlying account.","example":{"label":"RLMC","value":"12345678901","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"extra":{"type":"array","description":"Additional extracted information that are not named fields.","example":[{"key":"currency","label":"currency","value":"GBP","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}],"items":{"$ref":"#/components/schemas/ReportDataMapItem"}}}},"ReportClientData":{"type":"object","description":"Extra fields given as input data.","properties":{"extra":{"type":"array","description":"Free-form metadata (key/value) stored with the document.","example":[{"key":"internal-reference","label":"internal-reference","value":"0123456789","origin":"DOCUMENT_INPUT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}],"items":{"$ref":"#/components/schemas/ReportDataMapItem"}}}},"ReportDataItem":{"type":"object","description":"Single item representing a textual field extracted from the document.","properties":{"label":{"type":"string","description":"Label of the item."},"value":{"type":"string","description":"Value of the item."},"valueLabel":{"type":"string","description":"Human readable value of the item."},"origin":{"type":"string","description":"Origin of the item.","enum":["DOCUMENT_INPUT","FILE_INPUT","DOCUMENT"]},"originUid":{"type":"string","description":"UID of the file or document linked to this item."},"extraAlphabetValues":{"type":"object","additionalProperties":{"type":"string"},"description":"If applicable, the different values related to the available alphabets in the documents.","example":{"LATIN":"Holmes","ARABIC":"هولمز"}},"valuesBySources":{"type":"array","description":"List of values by sources","items":{"$ref":"#/components/schemas/DataBySourcesItem"}}}},"ReportDataListItem":{"type":"object","description":"Single item representing a field that is a list of texts extracted from the document.","properties":{"label":{"type":"string","description":"Label of the item."},"values":{"type":"array","description":"Values of the item.","items":{"type":"string"}},"origin":{"type":"string","description":"Origin of the item.","enum":["DOCUMENT_INPUT","FILE_INPUT","DOCUMENT"]},"originUid":{"type":"string","description":"UID of the file or document linked to this item."},"extraAlphabetValues":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"If applicable, the different values related to the available alphabets in the documents.","example":{"LATIN":["Sherlock"],"ARABIC":["شيرلوك"]}},"valuesBySources":{"type":"array","description":"List of values by sources","items":{"$ref":"#/components/schemas/DataBySourcesItemList"}}}},"ReportDataMapItem":{"type":"object","description":"Single item representing a field will be embedded in map of texts extracted from the document.","properties":{"key":{"type":"string","description":"The key that is going to be used in the map."},"label":{"type":"string","description":"Label of the item."},"value":{"type":"string","description":"Value of the item."},"valueLabel":{"type":"string","description":"Human readable value of the item."},"origin":{"type":"string","description":"Origin of the item.","enum":["DOCUMENT_INPUT","FILE_INPUT","DOCUMENT"]},"originUid":{"type":"string","description":"UID of the file or document linked to this item."},"extraAlphabetValues":{"type":"object","additionalProperties":{"type":"string"},"description":"If applicable, the different values related to the available alphabets in the documents.","example":{"LATIN":"Holmes","ARABIC":"هولمز"}}},"required":["key","label","value"]},"ReportDateItem":{"type":"object","description":"Single item representing a date field extracted from the document.","properties":{"label":{"type":"string","description":"Label of the item."},"value":{"type":"string","description":"Value of the item."},"day":{"type":"integer","format":"int32","description":"Day of the date."},"month":{"type":"integer","format":"int32","description":"Month of the date."},"year":{"type":"integer","format":"int32","description":"Year of the date."},"origin":{"type":"string","description":"Origin of the item.","enum":["DOCUMENT_INPUT","FILE_INPUT","DOCUMENT"]},"originUid":{"type":"string","description":"UID of the file or document linked to this item."},"valuesBySources":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/DateItem"},"description":"List of values by sources"}}},"ReportFinanceData":{"type":"object","description":"Definition of the financial information extracted from the documents.","properties":{"iban":{"$ref":"#/components/schemas/ReportDataItem","description":"International Bank Account Number.","example":{"label":"IBAN","value":"FR7612345678900001122334412","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"bic":{"$ref":"#/components/schemas/ReportDataItem","description":"Bank's SWIFT code.","example":{"label":"BIC","value":"FRFXFRPP","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"ibanCountry":{"$ref":"#/components/schemas/ReportDataItem","description":" ISO country code (alpha-2) and full name derived from the IBAN.","example":{"label":"IBAN country","value":"FR - France","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"accountKey":{"$ref":"#/components/schemas/ReportDataItem","description":"Local check key.","example":{"label":"Account key","value":"12","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"accountNumber":{"$ref":"#/components/schemas/ReportDataItem","description":"National account number.","example":{"label":"Account number","value":"00011223344","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"accountOwner":{"$ref":"#/components/schemas/ReportDataItem","description":"Account holder’s full name.","example":{"label":"Account owner","value":"Sherlock Holmes","origin":"DOCUMENT","originUid":"f5ba2d29-d93b-4c0e-9ad0-60fd4bf01e1c"}},"accountOwnerAddress":{"$ref":"#/components/schemas/ReportDataItem","deprecated":true,"description":"Account holder's address. Deprecated, use accountOwnerAddressLines instead."},"accountOwnerAddressLines":{"$ref":"#/componen
[...]
